hashid(7)

NAME
hashid - Identify the different types of hashes used to encrypt data

SYNOPSIS
hashid [-h] [-e] [-m] [-j] [-o FILE] [--version] INPUT

DESCRIPTION
hashID is a tool written in Python 3 which supports the identification of over 220 unique hash types using regular expressions.

It is able to identify a single hash, parse a file or read multiple files in a directory and identify the hashes within them.
    hashID is also capable of including the corresponding hashcat mode and/or JohnTheRipper format in its output. hashID works out of the box with Python 2 ≥ 2.7.x or Python 3 ≥ 3.3 on any platform.

Note:
    When identifying a hash on *nix operating systems use single quotes to prevent interpolation.

OPTIONS
INPUT input to analyze (default: STDIN)

-e, --extended
    list all possible hash algorithms including salted passwords

-m, --mode
    include corresponding hashcat mode in output

-j, --john
    include corresponding JohnTheRipper format in output

-o FILE, --outfile FILE
    write output to file

-h, --help
    show help message and exit

--version
    show program's version number and exit

BUGS
If you find a bug, please report it at https://github.com/psypanda/hashID/issues

AUTHOR
c0re (c0re@psypanda.org)